// Solution to problem B. Burning CDs, from CCSS 2015.
//
// Solution by Rudy van Vliet, 27 April 2015

#include <iostream>
using namespace std;

//*************************************************************************

// Check if input is valid description of a time period between minim
// and maxim seconds.
// Return total number of seconds.
int secondsInTime (int minutes, int seconds, int minim, int maxim)
{ int totalSeconds;

  totalSeconds = 60*minutes + seconds;

  if (minutes>=0 && seconds>=0 && seconds<60)
  { // A valid description of a time period.
    if (totalSeconds<minim || totalSeconds>maxim)
      cout << "Number of seconds " << totalSeconds << " is not in interval "
           << minim << "--" << maxim << " specified.\n";
  }
  else
    cout << minutes << ":" << seconds
         << " is not a valid description of a time period.\n";

  return totalSeconds;

}  // secondsInTime

//*************************************************************************

// Write totalSeconds in the form minutes:seconds to the output
void writeTime (int totalSeconds)
{ int minutes, seconds;

  minutes = totalSeconds / 60;
  seconds = totalSeconds % 60;

  cout << minutes << ":";
  if (seconds<10)
    cout << "0" << seconds;
  else
    cout << seconds;

}  // writeTime

//*************************************************************************

int main ()
{ int T, Inst;
  int N, i,
      minutes, seconds,
      totalTime, totalDuration;
  char c;

  cin >> T;
  for (Inst=1;Inst<=T;Inst++)
  {
    cin >> N;
    cin >> minutes;
    cin >> c;
    cin >> seconds;
    totalTime = secondsInTime (minutes, seconds, 3600, 4800);

    totalDuration = 0;
    for (i=1;i<=N;i++)
    { cin >> minutes;
      cin >> c; // the colon
      cin >> seconds;
      totalDuration += secondsInTime (minutes, seconds, 4, 4800);
    }

    if (totalDuration<=totalTime)
    { writeTime (totalTime-totalDuration);
      cout << " remaining" << endl;
    }
    else
    { writeTime (totalDuration-totalTime);
      cout << " too long" << endl;
    }
  }

  return 0;
}
